Bug 192449 - mftrace: $RPM_OPT_FLAGS not honored, useless debuginfo package
Summary: mftrace: $RPM_OPT_FLAGS not honored, useless debuginfo package
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mftrace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Quentin Spencer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-19 19:21 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-20 06:50:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-05-19 19:21:51 UTC
mftrace's build doesn't honor $RPM_OPT_FLAGS, resulting in compiler security
features not being used and a useless debuginfo package.

One way to fix it, in %prep:
sed -i -e "s/ -O2 / $RPM_OPT_FLAGS /" GNUmakefile.in

Comment 1 Quentin Spencer 2006-05-20 06:50:06 UTC
Fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.